/* prefs.c
 *
 * Preferences file
 */
#include "config.h"

#define _PREFS_C
#include "prefs.h"

struct preferences prefs = {
    CONFIGFILE,
    USERDB_NAME,
#if 0
    /* removed, because there is no longer a default value for this */
    RXDIR "/" DBIF_DEFMOD,
#else
    /* no DEFAULT */
#endif
    DBIF_DEFMOD,
    LISTDIR,
    RXDIR,
    NONLOCALTO,
    POP3SERVICE_NAME,
    SMTPSERVICE_NAME,
    IMAPSERVICE_NAME,
    MSG_FIRSTLINE,
    MSG_LASTLINE,
    MBOX_BASE,
    REDIR_FNAME,
    TMPDIR,
    ERRORSENDER,
    (char *) NULL,
    (char *) NULL,
    SCHED_CMDFILE,
    ERRORS_ADMIN,
    STD_FPERM,
    BODY_IN_REJECTED_MAILS,
    MAX_LISTEN,
    (uid_t) 0,
    (gid_t) 0,
    SYSAUTH,
    CHECK_SIZE,
    CHECK_DAYS,
    DSIZECHECK,
    COMPRESSION,
    TYPE_OF_DB,
    MSG_DEFSCAN,
    LCUSER,
    LCDOMAIN,
    SYSWITHIDX,
    MAXLEVEL,
    REJVERB,
    DRACAUTH,
    BSMTP_NODOM,
    IU_RECEIVES,
    BSMTP_TIMEOUT,
    MAX_FOLDERSIZE,
    POP3_AUTODELETE,
    SMTP_MAXCMDLEN,
    SCHED_CHKT,
    SCHED_DELAY,
    SCHED_MAXFAILS,
    POP3_ACCEPT_USER,
    POP3_PASS_FAILDELAY,
    ERRS2LOG,
    DBIFATSESS,
    DFLTLOGLVL,
    DLVRDFLOGLVL,
    POP3DFLOGLVL
}, save_prefs;

char *progname;
int abort_on_invug = 1;
int loglevel = 0;
FILE *logfile = (FILE *) NULL;
